<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Clock</title>

    <style>
        body {
            font-family: Arial, Helvetica, sans-serif;
        }

        #time:empty + button > .icon {
            display: none;
        }

        .icon.reload::before {
            content: "↻";
            margin-right: 0.5em;
            display: inline-block;
        }
    </style>

    <script src="libraries/jquery-1.12.3.min.js"></script>
    <script src="loader.js"></script>
    <script>
        document.addEventListener('DOMContentLoaded', function () {
            document.getElementById('buttonGetTime').addEventListener('click', function () {
                getTime(updateTime, logError, "html", "get");
            });

            document.getElementById('buttonGetTimeJson').addEventListener('click', function () {
                getTime(updateTimeJson, logError, "json", "get");
            });

            document.getElementById('buttonGetTimePost').addEventListener('click', function () {
                getTime(updateTime, logError, "html", "post");
            });

            document.getElementById('buttonGetTimePostJson').addEventListener('click', function () {
                getTime(updateTimeJson, logError, "json", "post");
            });
        });

        function updateTime(time) {
            document.getElementById('time').innerHTML = time;
        }

        function updateTimeJson(time) {
            document.getElementById('time').innerHTML = JSON.stringify(time);
        }

        function logError(error) {
            console.log(error);
        }
    </script>
</head>
<body>
<h1>Current time 3</h1>
<p id="time"></p>
<button id="buttonGetTime"><span class="icon reload"></span>Get Time</button>
<button id="buttonGetTimeJson"><span class="icon reload"></span>Get Time as json</button>

<br/>
<button id="buttonGetTimePost"><span class="icon reload"></span>Get Time</button>
<button id="buttonGetTimePostJson"><span class="icon reload"></span>Get Time as json</button>
</body>
</html>